1
vote
1answer
46 views

Unable to install erlang

I am trying to install Erlang for RabbitMQ on CentOS release 6.4 (Final) yum install -y erlang It gives me the following error : Error: Package: erlang-R12B-5.12.el5.rf.x86_64 (rpmforge) ...
1
vote
2answers
135 views

Pruning the package tree with apt-get and yum

I love the Macports and Arch package managers, because I can generate a listing of all of the packages that I have manually installed, and "prune" the package tree every once in a while to keep my ...
1
vote
1answer
548 views

Why does yum continue to complain about a missing dependency that is already installed?

I have a self-created rpm for mapserver 6.2.1 that I want to support Oracle, but I am having a lot of difficulties getting it all to work. I have installed the ...
2
votes
1answer
789 views

Resolve dependencies installing rpm packages

I am using RHEL6 Hi i have created the yum repository, i downloaded the snort rpm package from their website when i tried to install the rpm its thorws error e.g. snort-2.9.5.3-1.f18.i386.rpm ...
2
votes
1answer
217 views

How do I create an RPM package that would fail a YUM transaction if certain creteria are met

I'm trying to package a product consisting of many packages. I'm successful with writing all the spec files, the dependencies between the packages and so on. They're all installed and work fine. The ...
1
vote
1answer
1k views

How can I fix this dependancy error when updating clamav using yum?

I'm trying to update clamav on an old CentOS 5 mail server installation but keep getting a dependency error which I can't understand. I followed the method described here. Perhaps someone can show ...
5
votes
2answers
382 views

Yum and recommended/suggested packages

I'd like to install a software package on my Fedora System, but it has a lot of unreasonable dependencies (which I know for sure they are not actually required). I used to work on Debian, where ...
4
votes
1answer
301 views

How to make an rpm package that installs a Java environment if needed

I'm very new to RPM packaging and I'm curious if, during the installation of one RPM it is possible to conditionally install another RPM if needed. In a nutshell. My RPM requires a particular JRE. ...
1
vote
1answer
866 views

Why did yum-builddep not provide the dependencies to install my rpm?

I am trying to rum my rpm package but getting this dependencies error. [root@localhost ~]# rpm -ivh /root/x86_64/asterisk-1.8.12.2-1.fc15.x86_64.rpm error: Failed dependencies: ...